%define name tucan
%define version 0.3.10
%define release %mkrel 2

Summary: Tucan - upload & download manager 
Summary(de): Tucan - Manager für das Hoch- und Herunterladen von Dateien
Name:    %{name}
Version: %{version}
Release: %{release}
License: GPL
Group:   Graphical desktop/GNOME
URL:     http://tucaneando.com/index-en.html
Source: %{name}-%{version}.tar.xz
Source1: %{name}.png
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Requires: python >= 2.7
Requires: pygtk2.0 
Requires: python-imaging  
Requires: %{_lib}rsvg2_2
Requires: tesseract   
Obsoletes:  %name < %version

%description
 - Tucan is a free and open source application designed for automatic
   management of downloads and uploads at hosting sites like:
 
   - http://rapidshare.com/
   - http://megaupload.com/
   - http://gigasize.com/
   - http://mediafire.com/
   - http://4shared.com/
   - http://sendspace.com/

%description -l de
Tucan ist ein freies und Open Source Programm für die automatische
Verwaltung von Downloads und Uploads zu Dateihostern wie:

   - http://rapidshare.com/
   - http://megaupload.com/
   - http://gigasize.com/
   - http://mediafire.com/
   - http://4shared.com/
   - http://sendspace.com/

Besuchen Sie für eine vollständige Liste der unterstützten Hoster
http://www.tucaneando.com/features.html


%prep
%setup -q 

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_datadir}/%{name}
cp -a default_plugins i18n media *.py core ui %{buildroot}%{_datadir}/%{name}

mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 *.desktop %{buildroot}%{_datadir}/applications

mkdir -p %{buildroot}%{_datadir}/man/man1
install -m 644 *.1.gz %{buildroot}%{_datadir}/man/man1

mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 %SOURCE1 %{buildroot}%{_datadir}/pixmaps

mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/bash
python %{_datadir}/tucan/tucan.py
EOF
chmod +x %{buildroot}%{_bindir}/%{name}

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-FileTransfer" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc README README.es CHANGELOG VERSION TODO
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/man/man1
%{_datadir}/pixmaps/%{name}.png

%changelog
* Sun Jul 16 2013 adrianomorselli <adrianomorselli> 0.3.10-2uplos2013
- rebuild

* Fri Aug 16 2013 billybot <billybot> 0.3.10-2pclos2013
- update python 2.7

